## fonts-jetbrains-mono 1.0.1-1regolith1-1regolith

=== debian/changelog ===
fonts-jetbrains-mono (1.0.1-1regolith1-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 25 Aug 2024 17:01:48 +0000

fonts-jetbrains-mono (1.0.1-1regolith1) eoan; urgency=medium

  * Taking Dirk's work into the Regolith PPAs. 

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 02 Apr 2020 20:46:29 -0700

fonts-jetbrains-mono (1.0.1-0local1) unstable; urgency=low

  * Initial "local" package -- not uploaded to Debian as it is not
    entirely clear what the copyright situation for the toolchain is
    
  * Packaging based on earlier pkg-fonts-* in my github repo

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jan 2020 19:40:06 -0600

## fonts-jetbrains-mono 1.0.2-1regolith1-1regolith

=== debian/changelog ===
fonts-jetbrains-mono (1.0.2-1regolith1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:01:55 +0000

fonts-jetbrains-mono (1.0.2-1regolith1) eoan; urgency=medium

  [ Ken Gilmer ]
  * Bump compat version
  * Add font files from upstream tarball

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * chore: use regolith-ci-bot user and token
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Feb 2025 20:49:48 +0000

## fonts-jetbrains-mono 2.242+ds

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
absl-py==0.10.0
    # via gftools
appdirs==1.4.4
    # via fs
attrs==20.2.0
    # via
    #   fontmake
    #   ufolib2
beautifulsoup4==4.9.3
    # via fontbakery
booleanoperations==0.9.0
    # via
    #   fontmake
    #   ufo2ft
brotli==1.0.9
    # via -r requirements.in
cached-property==1.5.2
    # via pygit2
certifi==2020.6.20
    # via requests
cffi==1.14.3
    # via pygit2
cffsubr==0.2.7
    # via ufo2ft
chardet==3.0.4
    # via requests
click==7.1.2
    # via flask
commandlines==0.4.1
    # via ufolint
compreffor==0.5.0
    # via ufo2ft
cu2qu==1.6.7
    # via
    #   fontmake
    #   ufo2ft
defcon==0.7.2
    # via fontbakery
deprecated==1.2.10
    # via pygithub
flask==1.1.2
    # via gftools
font-v==1.0.3
    # via fontbakery
fontbakery==0.7.31
    # via -r requirements.in
fontmake==2.2.1
    # via -r requirements.in
fontmath==0.6.0
    # via fontmake
fonttools[lxml,ufo,unicode]==4.16.1
    # via
    #   booleanoperations
    #   cffsubr
    #   compreffor
    #   cu2qu
    #   defcon
    #   font-v
    #   fontbakery
    #   fontmake
    #   fontmath
    #   gftools
    #   glyphslib
    #   ufo2ft
    #   ufolib2
    #   ufolint
    #   vttlib
fs==2.4.11
    # via fonttools
gftools==0.4.4
    # via -r requirements.in
gitdb==4.0.5
    # via gitpython
gitpython==3.1.9
    # via font-v
glyphslib==5.2.0
    # via
    #   fontmake
    #   gftools
idna==2.10
    # via requests
itsdangerous==1.1.0
    # via flask
jinja2==2.11.3
    # via flask
lxml==4.6.3
    # via
    #   fontbakery
    #   fonttools
markupsafe==1.1.1
    # via jinja2
opentype-sanitizer==8.1.0
    # via
    #   fontbakery
    #   gftools
pillow==8.2.0
    # via gftools
pip-api==0.0.14
    # via fontbakery
protobuf==3.13.0
    # via
    #   fontbakery
    #   gftools
pyclipper==1.2.0
    # via booleanoperations
pycparser==2.20
    # via cffi
pygit2==1.3.0
    # via gftools
pygithub==1.53
    # via gftools
pyjwt==1.7.1
    # via pygithub
pyparsing==2.4.7
    # via vttlib
python-dateutil==2.8.1
    # via strictyaml
pytz==2020.1
    # via fs
requests==2.24.0
    # via
    #   fontbakery
    #   gftools
    #   pygithub
ruamel.yaml==0.16.12
    # via strictyaml
six==1.15.0
    # via
    #   absl-py
    #   fs
    #   protobuf
    #   python-dateutil
smmap==3.0.4
    # via gitdb
soupsieve==2.0.1
    # via beautifulsoup4
strictyaml==1.1.0
    # via gftools
tabulate==0.8.7
    # via gftools
ttfautohint-py==0.4.3
    # via
    #   -r requirements.in
    #   fontbakery
ufo2ft[cffsubr]==2.16.0
    # via fontmake
ufolib2==0.8.0
    # via
    #   fontmake
    #   glyphslib
    #   vttlib
ufolint==1.0.1
    # via fontbakery
unidecode==1.1.1
    # via gftools
urllib3==1.25.10
    # via requests
vttlib==0.9.1.post2
    # via gftools
werkzeug==1.0.1
    # via flask
wrapt==1.12.1
    # via deprecated

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

## fonts-jetbrains-mono 1.0.3-1regolith1-1regolith

=== debian/changelog ===
fonts-jetbrains-mono (1.0.3-1regolith1-1regolith-testing) testing; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 12 Oct 2025 15:15:55 +0000

fonts-jetbrains-mono (1.0.3-1regolith1) eoan; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 12 Oct 2025 15:11:37 +0000

=== debian/control ===
Source: fonts-jetbrains-mono
Section: fonts
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), wget
Standards-Version: 4.4.2
Homepage: https://jetbrains.com/lp/mono

Package: fonts-jetbrains-mono
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Jetbrains Monon Typeface 
 See https://www.jetbrains.com/lp/mono/
 .
 The packaging is informal. I do not plan to upload this to Debian as
 I am unsure about the copyright status of the toolchain. The
 packaging also a somewhat hackish shortcut by extracting the files
 from the released file obtained from the github repo.
 .
 I would be happy for another maintainer (or the fonts team) to take
 it over as well.

## fonts-jetbrains-mono 2.225+ds

=== debian/changelog ===
fonts-jetbrains-mono (2.225+ds-1) unstable; urgency=medium

  * New upstream release
  * Update standards version from 4.5.0 to 4.5.1
  * Introduce d/gpb.conf
  * Exclude fonts directory from source package

 -- Romain Porte <debian@microjoe.org>  Sun, 07 Feb 2021 10:28:02 +0100

fonts-jetbrains-mono (2.210-2) unstable; urgency=medium

  * Team upload.
  * Rebuild on buildds.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 07 Dec 2020 11:28:40 +0100

fonts-jetbrains-mono (2.210-1) unstable; urgency=medium

  * Import new upstream release v2.210.
  * Build from source instead of directly installing fonts.
  * Moved from contrib to main (see previous point).
  * Removed lintian overrides as copyright metadata is now correct in
    generated files.
  * Update debhelper from v12 to v13.

 -- Romain Porte <debian@microjoe.org>  Tue, 17 Nov 2020 20:39:18 +0100

fonts-jetbrains-mono (1.0.4-1) unstable; urgency=medium

  * Initial release (closes: #952954).

 -- Romain Porte <debian@microjoe.org>  Sun, 01 Mar 2020 23:02:23 +0100

=== debian/control ===
Source: fonts-jetbrains-mono
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders: Romain Porte <debian@microjoe.org>
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), fontmake
Standards-Version: 4.5.1
Homepage: https://www.jetbrains.com/lp/mono/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono
Rules-Requires-Root: no

Package: fonts-jetbrains-mono
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: free and open-source typeface for developers
 JetBrains Mono. A typeface for developers.
 Features include:
  - Increased height for a better reading experience
  - Adapted to reading code
  - 139 code-specific ligatures
  - 145 languages
  - 7 weights with matching italics

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/JetBrainsMono-$1\.tar\.gz/ \
  https://github.com/JetBrains/JetBrainsMono/tags .*/v?(\d\S+)\.tar\.gz

## fonts-jetbrains-mono 2.242%2Bds

=== debian/control ===
Source: fonts-jetbrains-mono
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 fontmake,
 gftools,
 ttfautohint,
Standards-Version: 4.6.1
Homepage: https://www.jetbrains.com/lp/mono/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono
Rules-Requires-Root: no

Package: fonts-jetbrains-mono
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: free and open-source typeface for developers
 JetBrains Mono. A typeface for developers.
 Features include:
  - Increased height for a better reading experience
  - Adapted to reading code
  - 139 code-specific ligatures
  - 145 languages
  - 7 weights with matching italics

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_build:
	./sources/build-statics.sh

## fonts-jetbrains-mono 2.242+ds

=== debian/changelog ===
fonts-jetbrains-mono (2.242+ds-2) unstable; urgency=medium

  * d/control: update Standards version to 4.6.0.1 (no changes needed)
  * Use upstream build script instead of custom Makefile

 -- Romain Porte <debian@microjoe.org>  Thu, 04 Nov 2021 21:52:25 +0100

fonts-jetbrains-mono (2.242+ds-1) unstable; urgency=medium

  * New upstream version 2.242
  * Remove generated fonts from source package
  * Introduce d/salsa-ci.yml
  * d/control: remove unnecessary debhelper Build-Depends
  * d/watch: use repack and repacksuffix

 -- Romain Porte <debian@microjoe.org>  Thu, 02 Sep 2021 22:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
 Uploaders:
- Agathe Porte <debian@microjoe.org>,
+ Romain Porte <debian@microjoe.org>,
 Build-Depends:
  debhelper-compat (= 13),
  fontmake,
  gftools,
  ttfautohint,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0.1
 Homepage: https://www.jetbrains.com/lp/mono/
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,\
  dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/JetBrainsMono-$1\.tar\.gz/ \
  https://github.com/JetBrains/JetBrainsMono/tags .*/v?(\d\S+)\.tar\.gz

## fonts-jetbrains-mono 2.304+ds

=== debian/changelog ===
fonts-jetbrains-mono (2.304+ds-6) unstable; urgency=medium

  * Drop ttfautohint patch
  * Build with gftools > 0.9
  * Add missing B-D

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 15:52:22 +0200

fonts-jetbrains-mono (2.304+ds-5) unstable; urgency=medium

  * Update uploader address
  * Upload debian copyright year
  * Build non-ligature variant (Closes: #1077632)
  * Update Standards-Version to 4.7.2 (no changes)
  * Make GenerateNLVersion.kt reproducible with SOURCE_DATE_EPOCH

 -- Agathe Porte <gagath@debian.org>  Mon, 10 Mar 2025 19:35:29 +0100

fonts-jetbrains-mono (2.304+ds-4) unstable; urgency=medium

  * Team upload.
  * Source-only upload to unstable

 -- Agathe Porte <gagath@debian.org>  Tue, 05 Mar 2024 16:01:41 +0100

fonts-jetbrains-mono (2.304+ds-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Agathe Porte <gagath@debian.org>  Mon, 04 Mar 2024 13:40:31 +0100

fonts-jetbrains-mono (2.304+ds-2) experimental; urgency=medium

  * Team upload.
  * Build and provide webfonts into -web package (Closes: #1057207)

 -- Agathe Porte <gagath@debian.org>  Fri, 01 Dec 2023 18:55:08 +0100

fonts-jetbrains-mono (2.304+ds-1) experimental; urgency=medium

  * New upstream version 2.304+ds
  * Ignore long lines in glyph files
  * Update Standards-Version to 4.6.2 (no change)

 -- Agathe Porte <gagath@debian.org>  Sun, 23 Apr 2023 11:50:24 +0200

fonts-jetbrains-mono (2.242+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Agathe Porte ]
  * Update metadata
  * Update Standards-Version to 4.6.1 (no changes needed)
  * d/watch: drop filenamemangle
  * Update copyright year

 -- Agathe Porte <gagath@debian.org>  Tue, 03 Jan 2023 21:16:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: optional
 Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
 Uploaders:
- Romain Porte <debian@microjoe.org>,
+ Agathe Porte <gagath@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  fontmake,
+ fonttools,
  gftools,
- ttfautohint,
-Standards-Version: 4.6.0.1
+ python-is-python3,
+ python3-ttfautohint-py,
+ kotlin,
+Standards-Version: 4.7.2
 Homepage: https://www.jetbrains.com/lp/mono/
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-jetbrains-mono
@@ -28,3 +31,21 @@
   - 139 code-specific ligatures
   - 145 languages
   - 7 weights with matching italics
+ .
+ This package contains the TrueType fonts.
+
+Package: fonts-jetbrains-mono-web
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Description: free and open-source typeface for developers (WOFF2)
+ JetBrains Mono. A typeface for developers.
+ Features include:
+  - Increased height for a better reading experience
+  - Adapted to reading code
+  - 139 code-specific ligatures
+  - 145 languages
+  - 7 weights with matching italics
+ .
+ This package contains the web fonts in the WOFF2 format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_build:
	./sources/old-build-scripts/build-statics.sh
	./sources/old-build-scripts/build-webfonts.sh
	kotlinc scripts/GenerateNLVersion.kt -d scripts/GenerateNLVersion.jar
	kotlin -classpath scripts/GenerateNLVersion.jar GenerateNLVersionKt

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,\
  dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//, \
  https://github.com/JetBrains/JetBrainsMono/tags .*/v?(\d\S+)\.tar\.gz
